Subject: bug#17453: Isearch doesn't work properly with Follow Mode.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Nov 2015 19:49:43 +0200

> Date: Mon, 2 Nov 2015 16:09:17 +0000
> Cc: [email-masked], [email-masked], [email-masked],
>   [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > If this means that sit*-for does something other than redisplay and
> > wait, like switch to another window, I'd really suggest to rethink
> > that.  It is entirely counter-intuitive to have a sit-for family of
> > functions do anything other than some kind of redisplay and some kind
> > of waiting.
> 
> sit*-for's synchronising windows, switching to the appropriate window,
> etc., is conceptually an extension of redisplay's scrolling to get point
> on screen.

No, redisplay doesn't necessarily scroll.  It does so only if needed.
So sit-for should not be thought as a way to scroll the window, even
if sometimes it does.

> But I think sit*-for could well be not needed here, anyway.

That's okay, but my point is: please do not add to established
functions code that does on behalf of Follow mode something that
conceptually doesn't belong to those functions.  OK?